Package skyview.request

# Class XMLGallery

java.lang.Object
skyview.request.XMLGallery

public class XMLGallery extends Object
This class writes an HTML description of a survey based upon its XML survey file.

## Constructor Summary

Constructors
Constructor
Description
`XMLGallery()`

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(char[] arr, int start, int len)`
`void`
`endElement(String uri, String localName, String qName)`
`static void`
`error(String msg)`
`static void`
`main(String[] args)`
`static void`
`printGallery(String filename)`
`static void`
`printTemplate(String name)`
`void`
`startElement(String uri, String localName, String qName, Attributes attrib)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLGallery

public XMLGallery()

## Method Details

### main

public static void main(String[] args)

### printTemplate

public static void printTemplate(String name) throws Exception

Throws:
  `Exception`

### error

public static void error(String msg)

### printGallery

public static void printGallery(String filename) throws Exception

Throws:
  `Exception`

### startElement

public void startElement(String uri, String localName, String qName, Attributes attrib)

### endElement

public void endElement(String uri, String localName, String qName)

### characters

public void characters(char[] arr, int start, int len)